@echo off
echo BIG thanks to Shadow/Noice for the converter!
echo.
echo þ Converting all LikTwiik modes to Pascal format!
ctty nul

md pas50
cd 50
for %%f in (*.256) do ..\basconv %%f ..\pas50\%%f /p
for %%f in (*.16) do ..\basconv %%f ..\pas50\%%f /p
for %%f in (*.twk) do ..\basconv %%f ..\pas50\%%f /p
copy descript.ion ..\pas50
cd..

md pas60
cd 60
for %%f in (*.256) do ..\basconv %%f ..\pas60\%%f /p
for %%f in (*.16) do ..\basconv %%f ..\pas60\%%f /p
for %%f in (*.twk) do ..\basconv %%f ..\pas60\%%f /p
copy descript.ion ..\pas60
cd..

md pas70
cd 70
for %%f in (*.256) do ..\basconv %%f ..\pas70\%%f /p
for %%f in (*.16) do ..\basconv %%f ..\pas70\%%f /p
for %%f in (*.twk) do ..\basconv %%f ..\pas70\%%f /p
copy descript.ion ..\pas70
cd..

ctty con
echo.
echo If you use any mode...
echo ...please don't forget to credit the author (i.e. me, Liket of Goto10)
